Name:           sequence-library
Version:        1.0.3
Release:        %mkrel 8
Group:          Development/Java
Summary:        Textual diff and merge library

License:        Sequence
URL:            http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/

# Tarball generated with:
#  svn export http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/tags/1.0.3/ sequence-library-1.0.3 && \
#      tar caf sequence-library-1.0.3.tar.gz sequence-library-1.0.3/
Source0:        %{name}-%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/de/regnis/q/sequence/sequence-library/%{version}/sequence-library-%{version}.pom
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

%description
A textual diff and merge library.

%package javadoc
Summary: Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.jar' -o -name '*.class' -delete

cp -pr %{SOURCE1} pom.xml

%build
%mvn_build -- -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Mon May 27 2024 ns80 <ns80> 1.0.3-8.mga10
+ Revision: 2068162
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.3-7.mga9
+ Revision: 1827740
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 1.0.3-6.mga9
+ Revision: 1700301
- Build with release flag
- Rebuilt for JDK-11
- Update to latest release
- Modernise spec file
- Fix failure to build from source

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-5.mga8
+ Revision: 1508094
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1291476
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 1.0.3-3.mga7
+ Revision: 1162603
- add missing BR on javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.0.3-2.mga6
+ Revision: 978155
- First rebuild of the java stack
- sync package sequence-library with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.0.2-7.mga6
+ Revision: 951983
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 1.0.2-6.mga5
+ Revision: 810113
- use .m files generated during build
- update requirements

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 741407
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 689111
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 508436
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.0.2-2.mga3
+ Revision: 361108
- imported package sequence-library


* Fri Nov 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2-2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c7

* Thu Nov 8 2012 Ismael Olea <ismael@olea.org> - 1.0.2-1
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c3

* Tue Oct 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-2
- spec tuning

* Wed Oct 3 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-1
- first package
